com.rscja.team.qcom.urax

## Class QcomURA4Gpio

- java.lang.Object
- - com.rscja.team.qcom.urax.QcomURA4Gpio

- All Implemented Interfaces:
    IURA4Gpio

      public class QcomURA4Gpio
      extends java.lang.Object
      implements IURA4Gpio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QcomURA4Gpio()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<GPIStateEntity>` | `inputStatus()`
    `boolean` | `output1Off()`
    `boolean` | `output1On()`
    `boolean` | `output2Off()`
    `boolean` | `output2On()`
    `boolean` | `output3Off()`
    `boolean` | `output3On()`
    `boolean` | `output4Off()`
    `boolean` | `output4On()`
    `boolean` | `outputWgData0Off()`
    `boolean` | `outputWgData0On()`
    `boolean` | `outputWgData1Off()`
    `boolean` | `outputWgData1On()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QcomURA4Gpio

          public QcomURA4Gpio()

  - ### Method Detail

    - #### output1Off

          public boolean output1Off()

      Specified by:
        `output1Off` in interface `IURA4Gpio`

    - #### output1On

          public boolean output1On()

      Specified by:
        `output1On` in interface `IURA4Gpio`

    - #### output2Off

          public boolean output2Off()

      Specified by:
        `output2Off` in interface `IURA4Gpio`

    - #### output2On

          public boolean output2On()

      Specified by:
        `output2On` in interface `IURA4Gpio`

    - #### output3On

          public boolean output3On()

      Specified by:
        `output3On` in interface `IURA4Gpio`

    - #### output3Off

          public boolean output3Off()

      Specified by:
        `output3Off` in interface `IURA4Gpio`

    - #### output4On

          public boolean output4On()

      Specified by:
        `output4On` in interface `IURA4Gpio`

    - #### output4Off

          public boolean output4Off()

      Specified by:
        `output4Off` in interface `IURA4Gpio`

    - #### outputWgData0On

          public boolean outputWgData0On()

      Specified by:
        `outputWgData0On` in interface `IURA4Gpio`

    - #### outputWgData0Off

          public boolean outputWgData0Off()

      Specified by:
        `outputWgData0Off` in interface `IURA4Gpio`

    - #### outputWgData1On

          public boolean outputWgData1On()

      Specified by:
        `outputWgData1On` in interface `IURA4Gpio`

    - #### outputWgData1Off

          public boolean outputWgData1Off()

      Specified by:
        `outputWgData1Off` in interface `IURA4Gpio`

    - #### inputStatus

          public java.util.List<GPIStateEntity> inputStatus()

      Specified by:
        `inputStatus` in interface `IURA4Gpio`